org.apache.cxf.common.logging

## Class RegexLoggingFilter

- java.lang.Object
- - org.apache.cxf.common.logging.RegexLoggingFilter

-     public class RegexLoggingFilter
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_REPLACEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegexLoggingFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCommandOption(String option, String... commands)`
    `void` | `addRegEx(String pattern)`
    `void` | `addRegEx(String pattern, int group)`
    `void` | `addRegEx(String pattern, int group, String replacement)`
    `CharSequence` | `filter(CharSequence command)`
    `int` | `getGroup()`
    `String` | `getPattern()`
    `String` | `getReplacement()`
    `void` | `setGroup(int group)`
    `void` | `setPattern(String pattern)`
    `void` | `setReplacement(String replacement)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_REPLACEMENT

          public static final String DEFAULT_REPLACEMENT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RegexLoggingFilter

          public RegexLoggingFilter()

  - ### Method Detail

    - #### filter

          public CharSequence filter(CharSequence command)

    - #### addRegEx

          public void addRegEx(String pattern)

    - #### addRegEx

          public void addRegEx(String pattern,
                               int group)

    - #### addRegEx

          public void addRegEx(String pattern,
                               int group,
                               String replacement)

    - #### addCommandOption

          public void addCommandOption(String option,
                                       String... commands)

    - #### getPattern

          public String getPattern()

    - #### setPattern

          public void setPattern(String pattern)

    - #### getReplacement

          public String getReplacement()

    - #### setReplacement

          public void setReplacement(String replacement)

    - #### getGroup

          public int getGroup()

    - #### setGroup

          public void setGroup(int group)

Apache CXF